gnutls_x509_rdn_get_oid(3)

NAME
gnutls_x509_rdn_get_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_rdn_get_oid(const gnutls_datum_t * idn, int indx, void * buf, size_t * sizeof_buf);

ARGUMENTS

const gnutls_datum_t * idn
    should contain a DER encoded RDN sequence

int indx
    Indicates which OID to return. Use 0 for the first one.

void * buf
    a pointer to a structure to hold the peer's name OID

size_t * sizeof_buf
    holds the size of buf

DESCRIPTION
This function will return the specified Object identifier, of the RDN sequence.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, or GNUTLS_E_SHORT_MEMORY_BUFFER is returned and *sizeof_buf is updated if the provided buffer is not long enough, otherwise a negative error value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.